Package org.apache.cxf.ws.addressing

# Class ContextJAXBUtils

java.lang.Object
org.apache.cxf.ws.addressing.ContextJAXBUtils

public final class ContextJAXBUtils extends Object
Holder for utility methods relating to contexts, allows to lazily load JAXB compared to ContextUtils.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static jakarta.xml.bind.JAXBContext`
  `getJAXBContext()`
  Retrieve a JAXBContext for marshalling and unmarshalling JAXB generated types.
  `static void`
  `setJAXBContext(jakarta.xml.bind.JAXBContext ctx)`
  Set the encapsulated JAXBContext (used by unit tests).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getJAXBContext

    public static jakarta.xml.bind.JAXBContext getJAXBContext() throws jakarta.xml.bind.JAXBException
    Retrieve a JAXBContext for marshalling and unmarshalling JAXB generated types.
    Returns:
      a JAXBContext
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### setJAXBContext

    public static void setJAXBContext(jakarta.xml.bind.JAXBContext ctx)
    Set the encapsulated JAXBContext (used by unit tests).
    Parameters:
      `ctx` - JAXBContext